Skip to main content
POST
/
signals
Create signal
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/storefront/signals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "signalId": "<string>",
  "name": "<string>",
  "keyType": [
    "property"
  ]
}
'
{
  "signal": {
    "id": 0,
    "signalId": "<string>",
    "adcpAgentId": 0,
    "name": "<string>",
    "description": "<string>",
    "keyType": [
      "property"
    ],
    "regions": [
      "NORAM"
    ],
    "metadata": {},
    "isLive": true,
    "archivedAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "access": [
    {
      "id": 0,
      "signalId": 0,
      "seatId": 123,
      "visibility": "PUBLIC",
      "price": {
        "pricing_option_id": "<string>",
        "pricing_model": "cpm",
        "currency": "<string>",
        "fixed_price": 123,
        "floor_price": 123,
        "max_bid": true,
        "price_guidance": {
          "p25": 123,
          "p50": 123,
          "p75": 123,
          "p90": 123
        },
        "min_spend_per_package": 123,
        "price_breakdown": {
          "list_price": 123,
          "adjustments": [
            {}
          ]
        },
        "eligible_adjustments": [
          "fee"
        ]
      },
      "archivedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json
signalId
string
required
Required string length: 1 - 255
Pattern: ^[\w\-:.]+$
name
string
required
Required string length: 1 - 255
keyType
enum<string>[]
required
Minimum array length: 1
Available options:
property,
postal_code,
uk_postal_district,
maid,
rampid,
lat_long_radius,
id5,
coreid,
yahoo_connect,
uid2,
euid,
pairid,
url
agentId
string
Required string length: 1 - 255
description
string
Maximum string length: 5000
regions
enum<string>[]
Maximum array length: 6
Available options:
NORAM,
LATAM,
EMEA,
APAC,
ANZ,
GLOBAL
metadata
object
access
object[]
isLive
boolean
default:false

Response

Create signal

signal
object
required
access
object[]
required